Update Nuget not able to update package specified in "allowedversions"

Topics: General
Aug 7, 2013 at 5:23 PM
Edited Aug 7, 2013 at 6:00 PM
Hi,

I am trying to update nuget package in my solution with latest version available that falls under a range that I specified in packages.config file.

I have project where I am have installed a nuget package A with version as "1.0.0". After installation I have changed my packages.config file to have a range of allowedversions something like "allowedversions="[1.0.0,2.0.0)". But when I try to run "nuget update "packages.config" -safe", my project is not getting updated to latest package by excluding any package which has a version 2.0.0 or more which are out there on my nuget repository. So can someone please let me how update is related to allowedversions in packages.config file?

Thanks,
AG